uniform mat4 projMatrix;
uniform float time;
			
varying vec4 position;
varying vec3 color;
varying vec2 texCoord;
varying vec3 normal;
varying vec3 lightVect;
varying vec4 shadowCoord;
varying vec3 position1;

void main()
{	

	gl_Position = ftransform();

	normal = gl_Normal;
	texCoord = gl_MultiTexCoord0.st;
	color = gl_Color.rgb;
	position1 = gl_Vertex.xyz;
	position = gl_Vertex;
	
	vec3 lightpos;

	lightpos.x = 2.7320508 * cos(time/50);
	lightpos.y = 2.7320508 * sin(time/50);
	lightpos.z = 1.0;

	shadowCoord = mul(projMatrix, gl_Vertex);

	position.xyz -= lightpos;
	lightVect = position.xyz/3.4641016;
}