/////////////////////////////////////////////////////////////////////////////
// Name:        MyFrame.h
/////////////////////////////////////////////////////////////////////////////

#ifndef _WX_MYFRAME_H_
	#define _WX_MYFRAME_H_

#include "wx/wx.h"


class MyFrame: public wxFrame
{
	private:
		//Control IDs
		enum
		{
			MAIN_EXIT = 10000,
			MAIN_MODEL,
			MAIN_IMAGE,
			MAIN_START,
			MAIN_RES,
		};

		//Controls
		wxStaticText * imageText;
		wxStaticText * modelText;
		wxButton * startButton;

		//Variables
		wxString * modelString;
		wxString *imageString;
		int choices_res[3];
		int res;

		//Functions
		void CheckStart();
     
	public: 

		MyFrame (const wxChar * title, int xpos, int ypos, int width, int height);
		~MyFrame ();	

		void OnSelectModel(wxCommandEvent & event);
		void OnSelectImage(wxCommandEvent & event);
		void OnStart(wxCommandEvent & event);
		void OnSelectResolution(wxCommandEvent & event);

	DECLARE_EVENT_TABLE()
};

#endif