uniform sampler2D reflectivity;
uniform float dmax;

varying vec2 p1;
varying vec2 p2;
varying float factor;

void main()

{
	if(factor>=dmax) gl_FragColor.rgb = vec3(0.5,0.5,0.5);
	else gl_FragColor.rgb = tex2D(reflectivity,p2).rgb * sqrt(factor/dmax);
	gl_FragColor.a = 1.0;
}
