//========================================
//	Class to interface the VisualCAD specifications.
//	Nicolau Sunyer & Sergi Funtan (10/13/2005).
//	Universitat de Girona.
//========================================

#ifndef _OBSCURANCE_MAP_SN_
#define _OBSCURANCE_MAP_SN_

#include "CMesh.h"

// Method to calculate the lightmap.
int vcObscurerGenerateImage(CMesh &geom, char *argv, int quality, int *imgUsize, int *imgVsize, float **imgRgbaBuffer);	
// Method for not having two instances of the geometry in the graphics card memory (just for our visualizer, not in the specification).
//void returnMesh(CMesh &m);
// Returns the bounding sphere of the scene (constant as the scene is normalized)
//CSphere BoundingSphere();


#endif