uniform float angle;

varying	vec3 lightVect;

void main()
{
	vec4 position = gl_Vertex;
	gl_Position = ftransform();
	
	vec3 lightpos;
	lightpos.x = 2.7320508 * cos(angle/50);
	lightpos.y = 2.7320508 * sin(angle/50);
	lightpos.z = 1.0;
	
	position.xyz -= lightpos;
	
	lightVect = position.xyz / 3.4641016;
}
